% LK3.TEX - 3.Teil der LaTeX-Kurzbeschreibung Graz-Wien 1987
% last change: 1990-05-17.

\section{Sadzba matematickch vzorcov}

\subsection{Veobecne}

Matematick asti textu sa vo vntri odstavca uzatvraj
medzi \verb|\(| a \verb|\)| alebo
medzi \verb|$| a \verb|$| alebo
medzi \verb|\begin{math}| a \verb|\end{math}| .
Za matematick texty s povaovan rovnako kompletn matematick
vzorce ako aj jednotliv nzvy premennch, ktor sa vzahuj ku
vzorcom, grcke psmen, mocniny a indexy v~texte a rzne zvltne znaky.
\exa
Nech $a$ a $b$ s odvesny
a $c$ prepona,
potom plat $c^{2}=a^{2}+b^{2}$
(Pythagorova pouka).
\exb
\begin{verbatim}
Nech $a$ a $b$ s odvesny
a $c$ prepona,
potom plat $c^{2}=a^{2}+b^{2}$
(Pythagorova pouka).
\end{verbatim}
\exc
\exa
\TeX\ vyslovujeme ako
 $\tau\epsilon\chi$ .\\[6pt]
100~m$^{2}$ itkovej plochy \\[6pt]
So $\heartsuit$-nm
 pozdravom
\exb
\begin{verbatim}
\TeX\ vyslovujeme ako
 $\tau\epsilon\chi$ .\\
100~m$^{2}$ itkovej plochy \\
So $\heartsuit$-nm
 pozdravom
\end{verbatim}
\exc

Vie matematick vzorce alebo rovnice sdzame radej do osobitnch
riadkov. V~tomto prpade bud umiestnen medzi
\verb|\[| a \verb|\]|
alebo medzi \verb|\begin{displaymath}| a \verb|\end{displaymath}| \footnote{
Alebo medzi \$\$ a \$\$ (pozn. prekl.).},
ak to nemaj by oslovan rovnice, resp.\
medzi \verb|\begin{equation}| a \verb|\end{equation}|,
ak maj by oslovan.
\exa
Nech $a$ a $b$ s odvesny
a $c$ je prepona,
potom plat
\begin{equation}
c = \sqrt{  a^{2}+b^{2}  }
\end{equation}
(Pythagorova pouka).
\exb
\begin{verbatim}
Nech $a$ a $b$ s odvesny
a $c$ je prepona,
potom plat
\begin{equation}
c = \sqrt{  a^{2}+b^{2}  }
\end{equation}
(Pythagorova pouka).
\end{verbatim}
\exc

Pomocou \verb|\label| a \verb|\ref| sa meme odvola na sla
rovnc v~texte.

\exa
\begin{equation} \label{eps}
\epsilon > 0
\end{equation}

Z~(\ref{eps}) vyplva \dots
\exb
\begin{verbatim}
\begin{equation} \label{eps}
\epsilon > 0
\end{equation}

Z~(\ref{eps}) vyplva \dots
\end{verbatim}
\exc



Sadzba v~matematickom reime sa odliuje od textovho reimu pre\-do\-vet\-km
v~nasledujcich bodoch:
\begin{enumerate}
\item
Przdne miesta a zmena riadkov nemaj pri zadvan iaden vznam,
vetky medzery bud automaticky uren poda logiky matematickho
vrazu alebo musia by zadan pomocou pecilnych prkazov ako
\verb|\,| alebo \verb|\qquad| .
\exa
\begin{equation}
\forall x \in {\rm R}:
\qquad x^{2} \geq 0
\end{equation}
\exb
\begin{verbatim}
\begin{equation}
\forall x \in {\rm R}:
\qquad x^{2} \geq 0
\end{equation}
\end{verbatim}
\exc


\item
Przdne riadky s zakzan (matematick vzorce musia by umiestnen
vntri jednho odstavca).
\item
Kad jednotliv psmeno bude povaovan za nzov premennej
a zodpovedajco sdzan (kurzva s~dodatonou medzerou).
Ak chceme vo vntri matematickho textu umiestni ben text
(so vzpriamenm psmom a medzerami medzi slovami), musme
tento uzavrie do \verb|\mbox{...}| .
\exa
\begin{equation}
x^{2} \geq 0\qquad
\mbox{pre vetky }
x \in {\rm R}
\end{equation}
\exb
\begin{verbatim}
\begin{equation}
x^{2} \geq 0\qquad
\mbox{pre vetky }
x \in {\rm R}
\end{equation}
\end{verbatim}
\exc


\end{enumerate}

\subsection{Prvky v~matematickch vzorcoch}

V~tejto asti bud krtko popsan najdleitejie prvky, pouvan
v~matematickch vzorcoch. Zoznam vetkch symbolov, ktor s
k~dispozcii, obsahuje as~\ref{symbols}.

\bigskip

Mal
{\bf grcke psmen}
sa zadvaj ako \verb|\alpha|, \verb|\beta|, \verb|\gamma|, at.\,
vek grcke psmen ako
\verb|{\rm A}|, \verb|{\rm B}|,
\verb|\Gamma|, \verb|\Delta|,
at.
\exa
$\lambda, \xi, \pi, \mu,
 \Phi, \Omega $
\exb
\begin{verbatim}
$\lambda, \xi, \pi, \mu,
 \Phi, \Omega $
\end{verbatim}
\exc

alej existuje mnostvo {\bf matematickch symbolov}:
od $\in$ cez $\Rightarrow$ a po $\infty$
(vi as~\ref{symbols}).

\bigskip

{\bf Exponenty a indexy} mu by pomocou znakov
 \verb|^| a \verb|_| umiestnen hore, resp.\ dole.
\exa
$a_{1}$ \qquad
$x^{2}$ \qquad
$e^{-\alpha t}$ \qquad
$a^{3}_{ij}$
\exb
\begin{verbatim}
$a_{1}$ \qquad
$x^{2}$ \qquad
$e^{-\alpha t}$ \qquad
$a^{3}_{ij}$
\end{verbatim}
\exc

Znamienko {\bf odmocniny} zadvame pomocou \verb|\sqrt| ,
{\it n\/}-t odmocninu pomocou \verb|\sqrt[|{\it n\/}\verb|]|.
Vekos znamienka odmocniny \LaTeX\ zvol automaticky.
\exa
$\sqrt{x}$ \qquad
$\sqrt{ x^{2}+\sqrt{y} }$
\qquad $\sqrt[3]{2}$
\exb
\begin{verbatim}
$\sqrt{x}$ \qquad
$\sqrt{ x^{2}+\sqrt{y} }$
\qquad $\sqrt[3]{2}$
\end{verbatim}
\exc

Prkazy \verb|\overline| a \verb|\underline| spsobuj
{\bf vodorovn iaru} priamo nad resp.~pod vrazom.
\exa
$\overline{m+n}$
\exb
\begin{verbatim}
$\overline{m+n}$
\end{verbatim}
\exc

Prkazy \verb|\overbrace| a \verb|\underbrace| spsobuj
{\bf vodorovn ztvorku} nad resp.~pod vrazom.
\exa
$\underbrace{ a+b+\cdots+z }_{26}$
\exb
\begin{verbatim}
$\underbrace{ a+b+\cdots+z }_{26}$
\end{verbatim}
\exc

Pre umiestnenie matematickch {\bf \uv{akcentov} } ako napr. piek
nad premennmi, existuj prkazy uveden v~tab.~\ref{mathakz} .
Dlhie vlnovky a strieky, ktor sa mu rozprestiera nad viacermi
(a tromi) znakmi, obdrme pomocou
\verb|\widetilde| resp.~\verb|\widehat|.
Znamienko derivcie sa zadva apostrofom \verb|'| .
\exa
\begin{displaymath}
y=x^{2} \qquad
y'=2x   \qquad
y^{\prime\prime}=2
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
y=x^{2} \qquad
y'=2x   \qquad
y''=2
\end{displaymath}
\end{verbatim}
\exc

Matematick {\bf funkcie} sa v~literatre obyajne zobrazuj
nie kurzvou (ako nzvy premennch), ale \uv{normlnym} psmom.
K~tomu existuj nasledujce prkazy
\begin{verbatim}
\arccos   \cos    \csc   \exp   \ker     \limsup  \min   \sinh
\arcsin   \cosh   \deg   \gcd   \lg      \ln      \Pr    \sup
\arctan   \cot    \det   \hom   \lim     \log     \sec   \tan
\arg      \coth   \dim   \inf   \liminf  \max     \sin   \tanh
\end{verbatim}
Pre modulo-funkciu existuj dva rzne prkazy:
\verb|\bmod| pre binrny opertor $a \bmod b$
a \verb|\pmod{...}| pre zadanie v~tvare $x\equiv a \pmod{b}$.

\exa
\begin{displaymath}
\lim_{x \to 0} \frac{\sin x}{x}
=1
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
\lim_{x \to 0} \frac{\sin x}{x}
=1
\end{displaymath}
\end{verbatim}
\exc

{\bf Zlomok} (fraction) sa sdza prkazom \verb|\frac{...}{...}|.
Pre jednoduch zlomky vak tie meme poui opertor \verb|/|.
\exa
$1\frac{1}{2}$~hodiny
\begin{displaymath}
\frac{ x^{2} }{ k+1 }\qquad
x^{ \frac{2}{k+1} }\qquad
x^{ 1/2 }
\end{displaymath}
\exb
\begin{verbatim}
$1\frac{1}{2}$~hodiny
\begin{displaymath}
\frac{ x^{2} }{ k+1 }\qquad
x^{ \frac{2}{k+1} }\qquad
x^{ 1/2 }
\end{displaymath}
\end{verbatim}
\exc


{\bf Binomick koeficienty} sa mu sdza vo forme
\verb|{...\choose...}| .
Prkazom \verb|\atop| zskame to ist bez ztvoriek.
\exa
\begin{displaymath}
{ n \choose k~} \qquad
{ x\atop y+2 }
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
{ n \choose k~} \qquad
{ x\atop y+2 }
\end{displaymath}
\end{verbatim}
\exc

\medskip

{\bf Znak integrlu} sa zadva pomocou \verb|\int| ,
{\bf znak sumy} pomocou \verb|\sum|.
Horn a doln hranice sa zadvaj pomocou \verb|^| resp.~\verb|_|
ako pri exponentoch a indexoch.

Hranice sa obyajne sdzaj veda znaku integrlu
(kvli etreniu miesta), pridanm prkazu \verb|\limits|
dosiahneme umiestnenie hranc nad a pod znakom integrlu.

Naproti tomu sa pri znaku sumy zadanm prkazu
\verb|\nolimits| alebo v~benom texte hranice umiestnia veda
znaku sumy, in nad alebo pod nm.
\exa
\begin{displaymath}
\sum_{i=1}^{n} \qquad
\int_{0}^{\frac{\pi}{2}} \qquad
\int \limits_{-\infty}^{+\infty}
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
\sum_{i=1}^{n} \qquad
\int_{0}^{\frac{\pi}{2}} \qquad
\int \limits_{-\infty}^{+\infty}
\end{displaymath}
\end{verbatim}
\exc

Pre {\bf ztvorky} a in znaky ohranienia existuje v~\TeX 
u~mnoho rznych symbolov (napr.~$[\;\langle\;\|\;\updownarrow$).
Okrhle a hranat ztvorky mu by zadan pomocou zodpovedajcich
klvesov, zloen ztvorky pomocou \verb|\{|,
ostatn znaky pomocou pecilnych prkazov (napr.~\verb|\updownarrow|).

Ak umiestnime prkaz \verb|\left| pred otvraciu ztvorku a prkaz
\verb|\right| pred zatvraciu, tak sa automaticky zvol sprvna vekos.
\exa
\begin{displaymath}
1 + \left( \frac{1}{ 1-x^{2} }
    \right) ^3
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
1 + \left( \frac{1}{ 1-x^{2} }
    \right) ^3
\end{displaymath}
\end{verbatim}
\exc

V~niektorch prpadoch chceme radej vekos ztvoriek zada sami,
k~tomu sa zadvaj prkazy
\verb|\bigl|,
\verb|\Bigl|,
\verb|\biggl| a
\verb|\Biggl| namiesto \verb|\left|
a analogicky \verb|\bigr| etc.\ namiesto \verb|\right| .
\exa
\begin{displaymath}
\Bigl( (x+1) (x-1) \Bigr) ^{2}
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
\Bigl( (x+1) (x-1) \Bigr) ^{2}
\end{displaymath}
\end{verbatim}
\exc

Pre zadanie {\bf troch bodiek} vo vzorci (napr.~pre 1,2,\dots,n)
existuj prkazy
\verb|\ldots| a \verb|\cdots|.
\verb|\ldots| sdza bodky na zkladn iaru (low),
\verb|\cdots| ich sdza do stredu vky riadku (centered).
Okrem toho existuj ete prkazy
\verb|\vdots| pre vertiklne a
\verb|\ddots| pre diagonlne bodky.
\exa
\begin{displaymath}
x_{1},\ldots,x_{n} \qquad
x_{1}+\cdots+x_{n}
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
x_{1},\ldots,x_{n} \qquad
x_{1}+\cdots+x_{n}
\end{displaymath}
\end{verbatim}
\exc



\subsection{Horizontlna sadzba}

Ak nie sme spokojn s~{\bf medzerami} zvolenmi \TeX om vo vntri
 vzorcov, meme ich zmeni explicitnmi prkazmi. Najdleitejie s
\verb|\,| pre vemi mal medzeru,
\verb|\ | pre stredn
\verb|\quad| a \verb|\qquad| pre vek medzery, tak ako
\verb|\!| pre zmenenie medzery.
\exa
\begin{displaymath}
F_{n} = F_{n-1} + F_{n-2}
 \qquad n \ge 2
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
F_{n} = F_{n-1} + F_{n-2}
 \qquad n \ge 2
\end{displaymath}
\end{verbatim}
\exc

\exa
\begin{displaymath}
\int\!\!\!\int_{D} dx\,dy
\quad \mbox{statt} \quad
\int\int_{D} dx dy
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
\int\!\!\!\int_{D} dx\,dy
\quad \mbox{statt} \quad
\int\int_{D} dx dy
\end{displaymath}
\end{verbatim}
\exc


\subsection{Vertiklna sadzba}

Pre {\bf matice} a i.\
existuje prostredie {\tt array},
ktor funguje podobne ako prostredie {\tt tabular} .
Prkaz \verb|\\| oddeuje riadky.
\exa
\begin{displaymath}
{\bf X} =
\left( \begin{array}{ccc}
x_{11} & x_{12} & \ldots \\
x_{21} & x_{22} & \ldots \\
\vdots & \vdots & \ddots
\end{array} \right)
\end{displaymath}
\exb
\begin{verbatim}
\begin{displaymath}
{\bf X} =
\left( \begin{array}{ccc}
x_{11} & x_{12} & \ldots \\
x_{21} & x_{22} & \ldots \\
\vdots & \vdots & \ddots
\end{array} \right)
\end{displaymath}
\end{verbatim}
\exc

Pre {\bf viacriadkov} vzorce a sstavy rovnc pouvame prostredia
{\tt eqnarray} a {\tt eqnarray*} namiesto {\tt equation}.
Pri pouit {\tt eqnarray} obdr kad riadok svoje vlastn oslovanie,
v~prpade {\tt eqnarray*} nebude nasledova {\it iadne\/}
oslovanie tak ako v~prostred {\tt displaymath} .
Pre sstavy rovnc, ktor maj ma {\it jedno\/} spolon slo,
meme poui prostredie {\tt array} vo vntri prostredia {\tt equation} .

Prostredia {\tt eqnarray} a {\tt eqnarray*}
funguj ako 3-stpcov tabuka tvaru \verb|{rcl}|,
priom stredn stpec sa pouva pre znamienko rovnosti alebo nerovnosti,
poda ktorho sa riadky vyrovnvaj.
Prkaz \verb|\\| oddeuje riadky.
\exa
\begin{eqnarray}
f(x) & = & \cos x       \\
f'(x) & = & -\sin x     \\
\int_{0}^{x} f(y)dy &
 = & \sin x
\end{eqnarray}
\exb
\begin{verbatim}
\begin{eqnarray}
f(x) & = & \cos x       \\
f'(x) & = & -\sin x     \\
\int_{0}^{x} f(y)dy &
 = & \sin x
\end{eqnarray}
\end{verbatim}
\exc

{\bf Pridlh rovnice} \LaTeX\ automaticky {\em nerozdel\/}.
Autor mus uri, na ktorom mieste maj by rozdelen
a ako aleko posunut. Vinou k~tomu pouvame obidva
nasledujce varianty:
\exa
\begin{eqnarray}
\sin x & = & x -\frac{x^{3}}{3!}
     +\frac{x^{5}}{5!} -
                    \nonumber\\
 & & -\frac{x^{7}}{7!} + \cdots
\end{eqnarray}
\exb
\begin{verbatim}
\begin{eqnarray}
\sin x & = & x -\frac{x^{3}}{3!}
     +\frac{x^{5}}{5!} -
                    \nonumber\\
 & & -\frac{x^{7}}{7!} + \cdots
\end{eqnarray}
\end{verbatim}
\exc
\exa
\begin{eqnarray}
\lefteqn{ \cos x = 1
     -\frac{x^{2}}{2!} + }
                    \nonumber\\
 & & +\frac{x^{4}}{4!}
     -\frac{x^{6}}{6!} + \cdots
\end{eqnarray}
\exb
\begin{verbatim}
\begin{eqnarray}
\lefteqn{ \cos x = 1
     -\frac{x^{2}}{2!} + }
                    \nonumber\\
 & & +\frac{x^{4}}{4!}
     -\frac{x^{6}}{6!} + \cdots
\end{eqnarray}
\end{verbatim}
\exc
Prkaz \verb|\nonumber| spsob, e na tomto mieste
nebude umiestnen oslovanie rovnice.
Prkaz \verb|\lefteqn| umouje vnimku rozdelenia stpcov vntri
{\tt eqnarray}. Presnejie informcie obsahuje \manual.





