% LK4.TEX - 4.Teil der LaTeX-Kurzbeschreibung Graz-Wien 1987
% last change: 1990-05-17.

\section{peciality}

Kompletn menu pecialt, ktor \uv{servruje} \LaTeX\ , je popsan
v~\manual .
Tu poukeme len na jednotliv zvltne \uv{pochky}.

\subsection{Druhy a vekosti psma (Fonts)}

Za normlnych okolnost \LaTeX\ zvol vhodn druhy
a vekosti psma na zklade
prkazov, zadvajcich logick truktru textu
(nadpisy, zvraznenia at.).
V~pecilnych prpadoch mu by druh a vekos psma zmenen aj explicitne
pomocou prkazov uvedench v~tabukch
~\ref{fonts} a~\ref{sizes} .
Pouitie tchto prkazov sa uskutouje analogicky s~prkazom
\verb|\em| vo vntri skupn.
\exa
{\small Mal {\bf tun} Rimania
ovldli }{\large cel vek
{\it Itliu\/}.} \\[6pt]
le $2^{\mbox{\scriptsize\`eme}}$
 r\'egime
\exb
\begin{verbatim}
{\small Mal {\bf tun}
Rimania ovldli}{\large
cel vek {\it Itliu\/}.}
\\
le $2^{\mbox{\scriptsize\`eme}}$
r\'egime
\end{verbatim}
\exc

\begin{table}[bp]
\caption{Druhy psma} \label{fonts}
\oben{10cm}
\begin{tabbing}

{\tt xboldmathxx}\= und dann der Text \kill
\verb|\rm|       \> \rm  normlne psmo (roman) \\
\verb|\bf|       \> \bf  polotun psmo (boldface) \\
\verb|\it|       \> \it  kurzva (italic) \\
\verb|\sl|       \> \sl  naklonen psmo (slanted) \\
\verb|\sf|       \> \sf  psmo \uv{sans serif}  \\
\verb|\sc|       \> \sc  psmo \uv{Caps and Small Caps} \\
\verb|\tt|       \> \tt  psmo psacieho stroja (typewriter) \\
\verb|\boldmath| \> polotun sadzba v~matematickch vzorcoch
\end{tabbing}
\unten
\end{table}

\begin{table}
\caption{Vekosti psma} \label{sizes}
\oben{10cm}
\begin{tabbing}

{\tt xfootnotesizexx}\= und dann der Text \kill
\verb|\tiny|         \> \tiny        nepatrne mal psmo \\
\verb|\scriptsize|   \> \scriptsize  vemi mal psmo (ako indexy)\\
\verb|\footnotesize| \> \footnotesize  mal psmo (ako poznmky)\\
\verb|\small|        \> \small           mal psmo \\
\verb|\normalsize|   \> \normalsize  normlne psmo \\
\verb|\large|        \> \large       vek psmo \\
\verb|\Large|        \> \Large       vie psmo \\
\verb|\LARGE|        \> \LARGE       vemi vek psmo \\[3pt]
\verb|\huge|         \> \huge        obrovsk psmo \\[3pt]
\verb|\Huge|         \> \Huge        ete obrovskejie psmo
\end{tabbing}
\unten
\end{table}


Prkazy pre vekos z~tabuky~\ref{sizes} prepnaj vdy na druh psma
 \verb|\rm|.
Vek polotun psmo teda zskame napr.\ {\em nie\/} pomocou
\verb|\bf\large| ale {\em len\/} pomocou \verb|\large\bf|.

Prkazy pre vekos psma menia tie vzdialenos riadkov na
aktulne vhodn hodnotu -- ale len ke przdny riadok, ukonujci
odstavec, le vo vntri priestoru platnosti prkazu pre vekos.
Uzavieracia zloen ztvorka teda nesmie prs priskoro !

m {\em menej\/} rznych druhov psma pouijeme, o~to itatenejia
a krajia bude publikcia.




\vspace{0pt plus 3cm}\pagebreak[2] % manual editing, may need changes!

\subsection{Medzery}

\subsubsection{Vzdialenos medzi riadkami}

Ak musme v~publikcii poui viu vzdialenos medzi riadkami
ako je zadefinovan v~sboroch Document Styles, musme pozmeni prkaz
\verb|\baselinestretch| tak, aby bol jeho faktor (parameter) v
ako 1:
\begin{quote}
pre zadanie riadkovania \uv{$1\frac{1}{2}$ }:\\*
\verb|\renewcommand{\baselinestretch}{1.3}|

pre zadanie riadkovania \uv{$2$}:\\*
\verb|\renewcommand{\baselinestretch}{1.6}|
\end{quote}



\subsubsection{pecilne horizontlne medzery}

Medzery medzi slovami a vetami sde \LaTeX\ automaticky.
In horizontlne medzery ovplyvnme prkazom:
\begin{verse}
\verb|\hspace{|{\it dka\/}\verb|}  .|
\end{verse}
Ak sa m udra medzera aj na zaiatku alebo konci riadku, mus sa
napsa \verb|\hspace*| namiesto \verb|\hspace| .
Zadanie dky pozostva v~najjednoduchom prpade z~sla a jednotky
dky. Najdleitejie jednotky s uveden v~tab.~\ref{units}.
\exa
Tu \hspace{1.5cm}je medzera 1.5~cm.
\exb
\begin{verbatim}
Tu \hspace{1.5cm}je medzera
1.5~cm.
\end{verbatim}
\exc
\begin{table}
\caption{Jednotky pre zadanie dky} \label{units}
\oben{11cm}
\begin{tabbing}
{\tt mm}\qquad \= milimeter                               \\
{\tt cm} \> centimeter = 10~mm                       \\
{\tt in} \> Inch $\approx$ 25~mm                     \\
{\tt pt} \> Point $\approx \frac{1}{72}$~in
                        $\approx \frac{1}{3}$~mm           \\
{\tt em} \> proporcionlne rke znaku aktulneho fontu \\
{\tt ex} \> proporcionlne vke znaku aktulneho fontu
\end{tabbing}
\unten
\end{table}

\pagebreak[2]

Prkazy v~tab.~\ref{hspace} s skratky pre pecilne horizontlne
medzery.
\begin{table}
\caption{Horizontlne medzery} \label{hspace}
\oben{13cm}
\begin{tabbing}
{\tt xenspace}\qquad \= \kill
\verb|\,| \> vemi mal medzera \\
\verb|\enspace| \> irok ako cifra                    \\
\verb|\quad| \> irok ako vka psmena (\uv{biely tvorec})  \\
\verb|\qquad| \> dvojnsobn rka \verb|\quad| \\
\verb|\hfill| \> medzera, ktor sa me predlova od 0 do $\infty$ .
\end{tabbing}
\unten
\end{table}
Prkaz \verb|\hfill| sli k~zaplneniu zadanho miesta.
Prklady pouitia \verb|\,| a \verb|\hfill|:
\exa
\uv{\,,Parsifal` trv dlhie
ako ,Cats`.}
\exb
\begin{verbatim}
"`\,,Parsifal` trv dlhie
ako ,Cats`."'
\end{verbatim}
\exc
\exa
vavo\hfill vpravo
\exb
\begin{verbatim}
vavo\hfill vpravo
\end{verbatim}
\exc

\subsubsection{pecilne vertiklne rozostupy}

Medzery medzi odstavcami, odsekmi at.\ s urovan \LaTeX om
automaticky.
V~pecilnych prpadoch meme spsobi dodaton medzery
{\em medzi dvoma odstavcami\/} prkazom
\begin{verse}
\verb|\vspace{|{\it dka\/}\verb|}   .|
\end{verse}
Tento prkaz by mal by zadan vdy medzi dvomi przdnymi riadkami. Ak sa
m medzera zachova aj na zaiatku alebo na konci strany, mus sa napsa
\verb|\vspace*| namiesto \verb|\vspace| .
Prkazy v~tab.~\ref{vspace} s skratky pre pecilne vertiklne medzery.
\begin{table}
\caption{Vertiklne rozostupy} \label{vspace}
\oben{13cm}
\begin{tabbing}
{\tt xsmallskip}\qquad \= \kill
\verb|\smallskip| \> asi $\frac{1}{4}$ riadku \\
\verb|\medskip| \> asi $\frac{1}{2}$ riadku \\
\verb|\bigskip| \> asi 1 riadok \\
\verb|\vfill| \> medzera, ktor sa me predlova od 0 do $\infty$ .
\end{tabbing}
\unten
\end{table}
Prkaz \verb|\vfill| v~spojen s~prkazom \verb|\pagebreak[4]|
sli k~umiestneniu textu na spodnom okraji strany, alebo k~vertiklnemu
centrovaniu.

Dodaton medzery medzi dvoma riadkami {\em vntri\/}
odstavca alebo tabuky dosiahneme prkazom
\begin{verse}
\verb|\\[|{\it dka\/}\verb|]|
\end{verse}







\subsection{Nastavenie formtu papiera}

Papier DIN-A4 obvykl v~nemeckom jazykovom priestore je vy a o~troku
u ako papier ben v~Amerike, ktor je podporovan sbormi
Document Styles \LaTeX u.
Definciou vo forme
\begin{quote}
\begin{verbatim}
\addtolength{\topmargin}{-...}
\addtolength{\textheight}{...}
\end{verbatim}
\end{quote}
meme horn a spodn okraj zni a zvi poet riadkov na kadej strane.
Zmeny \verb|\textheight| by sa mali uskutoova vdy v~nsobkoch vekost
danch v~prkaze
\verb|\baselineskip   ,|
ktor zase zvis na vekosti psma.
Doporuen hodnoty s:
\begin{center}
\begin{tabular}{|l|r|r|r|}
\hline
Vka psma              &   10pt &   11pt &   12pt \\
{\tt baselineskip}       &   12pt & 13.6pt &   15pt \\
\hline
$\Delta${\tt topmargin}  & $-30$pt & $-34$pt & $-30$pt \\
$\Delta${\tt textheight}  &  60pt &  68pt &  60pt \\
\hline
\end{tabular}
\end{center}
Poda toho, i s hlavika alebo spodn riadok przdne, meme pozmeni
\verb|\topmargin| o~trochu viu alebo meniu hodnotu.
Tento text napr. obsahuje prkazy
\begin{quote}
\begin{verbatim}
\addtolength{\topmargin}{-27pt}
\addtolength{\textheight}{68pt}  .
\end{verbatim}
\end{quote}
Vo veobecnosti vak takto zmeny {\em nemusme\/} zadva priamo, ale meme
poui vlastn Document Style Options pre nastavenie na rzne formty papiera
~\cite{local}.

Dka riadku a prav a av okraj by  nemali by menen priamo,
pretoe in by sme tak isto museli zodpovedajco meni vemi vea prkazov
\LaTeX u, ktor od toho zvisia. Informcie o~takchto alekosiahlych
zmench Layoutu njdeme v~\cite{lay}.




\subsection{Listy (letter)}

Ak zadme ako Document Style {\tt letter}
(alebo niektor jeho variant, pozri~\cite{local}),
meme napsa medzi \verb|\begin{document}| a \verb|\end{document}|
jeden alebo viac listov.

Pomocou \verb|\signature| a \verb|\address| definujeme meno a adresu
odosielatea.
\verb|\begin{letter}{...}| zana list pre adresta, ktorho meno a
adresa s zadan v~parametroch. Pomocou \verb|\opening{...}| a
\verb|\closing{...}| peme oslovenie a zveren pozdrav, ku ktormu
sa automaticky pripoj podpis dohodnut pomocou \verb|\signature|.
\verb|\end{letter}| ukonuje prve platn list.

Ak pred \verb|\begin{document}| zadme prkaz \verb|\makelabels|,
bud namiesto toho vyroben \uv{Adre\ss -Etiketten}.\footnote{Vytla
sa adresa, ktor potom meme umiestni na oblku (pozn. prekl.).}

Obr.~\ref{brief} obsahuje prklad listu.
\begin{figure}[hbp]
\oben{11cm}
\begin{verbatim}
\documentstyle[12pt,german]{letter}
\address{EDV-Zentrum der TU Wien \\
         Abt.~Digitalrechenanlage \\
         Wiedner Hauptstra"se 8--10 \\ A-1040 Wien }
\signature{Dr.~Hubert Partl}
\begin{document}
\begin{letter}{Frau Mag.~Elisabeth Schlegl \\
      EDV-Zentrum der Karl-Franzens-Universit"at \\
      Attemsgasse 25/II \\ A-8010 Graz}
\opening{Mil pani Schlegl,}
srden vaka za zaslanie .....

..... bud hotov asi za 2--3~tdne.
\closing{S priateskm pozdravom}
\end{letter}
\end{document}
\end{verbatim}
\unten

\caption{List od H.\,P. pre E.\,S.} \label{brief}
\end{figure}

\subsection{Zadanie literatry}

Pomocou prostredia {\tt thebibliography} meme vytlai zoznam
literatry. V~om sa kad zadanie literatry zana prkazom
\verb|\bibitem|.
Ako parameter vystupuje dohodnut nzov, pod ktorm sa bude dan
poloka citova v~texte pomocou \verb|\cite|, a potom nasleduje text
daju literatry. slovanie sa uskutouje automaticky. Parameter pri
\verb|\begin{thebibliography}| zadva maximlnu vekos, pre
poradov slo literatry, tak napr.\ \verb|{99}|
pre maximlne dvojcifern oznaenia.

Citovanie literatry v~texte dosiahneme prve prkazom \verb|\cite|.
Prklad:
\exa
Partl~\cite{pa}
navrhol, aby \dots

\begin{thebibliography}{99}
\bibitem{pa}
H.~Partl: {\it German \TeX,}
TUGboat Vol.~9, No.~1 (1988)
\end{thebibliography}
\exb
\begin{verbatim}
Partl~\cite{pa}
navrhol ...

\begin{thebibliography}{99}
\bibitem{pa}
H.~Partl: {\it German \TeX,}
TUGboat Vol.~9, No.~1 (1988)
\end{thebibliography}
\end{verbatim}
\exc

\subsection{Robustn a krehk prkazy}

Vina prkazov \LaTeX u~je \uv{robustnch}, t.zn.~e dodvaj
vdy elaten vsledok.

Existuj vak aj tzv. \uv{krehk} prkazy, ktor v~uritch situcich
(vo vntri tzv. \uv{pohyblivch} parametrov) funguj sprvne len vtedy, ak
pred nich zaradme prkaz \verb|\protect| .
Ku krehkm prkazom patria medzi inmi prkazy, uveden 
v~tab.~\ref{sizes}, meniace vekos psma a prkaz \verb|\footnote|.
Existuje teda niekoko (a vemi vzcne sa vyskytujcich) zvltnych prpadov,
v~ktorch musme psa napr.\
\verb|\protect\small| namiesto \verb|\small|.

V~\manual\ je uveden, kedy sa takto zvltne prpady vyskytuj.


