% This is LKURZ.TEX - LaTeX Kurzbeschreibung, Uni Graz & TU Wien, 1987.
% ---------------------------------------------------------------------
%
% last change(s): 1990-05-17.
%
% To print the LATEX Kurzbeschreibung, you need TeX 2.x, LaTeX 2.09,
% and the following files:
%      LKURZ.TEX (this file),
%      LK1.TEX, LK2.TEX, LK3.TEX, LKSYM.TEX, LK4.TEX,
%      ARTICLE.STY, ART11.STY, GERMAN.STY.
% ARTICLE.STY should be modified to use \contentsname etc., or it
% should be replaced by a german doc sty file like DARTICLE.STY.
% LaTeX should be installed with the german hyphenation patterns by
% N.Schwarz (Bochum, 1986). BiBTeX and MakeIndex are not required.
%
% This document is ``public domain''. It may be printed and
% distributed free of charge in its original form (including the
% list of authors). If it is changed or if parts of it are used
% within another document, then the author list must include
% all the original authors AND that author (those authors) who
% has (have) made the changes.
%
% Copyright H.Partl, E.Schlegl, and I.Hyna (1987).
% Translation Copyright J.Bua (1991)
\documentstyle[11pt,slovak,twoside]{article}
\cstieon
\let\latex=\LaTeX % easier to type...

% The following is a variant of the LaTeX logo that uses the \rm font only.
% It may be used, if the \sc font is not available in the required size.
\def\varlatex{{\rm L\kern-.36em\raise.3ex\hbox{A}\kern-.15em
    T\kern-.1667em\lower.7ex\hbox{E}\kern-.125emX}}

\title{\LaTeX-krtky popis}

% If the \sc font is not available in the required magnification, then
% use the following substitute:
  \title{\varlatex-krtky popis}

\author{
       Hubert Partl\thanks
       {EDV-Zentrum der Technischen Universit\" at Wien,
       Abt.~Digital\-rechen\-anlage} \\
       Elisabeth Schlegl\thanks
       {EDV-Zentrum der Karl-Franzens-Universit\" at Graz}  \\
       Irene Hyna\footnotemark[1] \\
       \\
       preklad: Jn Bua\thanks
       {Katedra matematiky EF Technickej univerzity Koice}
       }
\date{Version~3 \\ 17.~Mai 1990}


\pagestyle{headings}
\sloppy
\addtolength\topmargin{-27pt}
\addtolength\textheight{68pt}

\newcommand\exa{\nopagebreak \begin{flushleft}\smallskip \nopagebreak
                \begin{minipage}[t]{6cm}\sloppy}
\newcommand\exb{\end{minipage}\kern 1cm\begin{minipage}[t]{8cm}\sloppy }
\newcommand\exc{\end{minipage}\kern -3cm \smallskip\end{flushleft}}

\newcommand\manual{{\em \LaTeX-Manual\/}~\cite{manual}}
\newcommand\local{{\em Local Guide}~\cite{local}}
\newcommand\oben[1]{\begin{center}\begin{minipage}{#1}\hrule\medskip}
\newcommand\unten  {\hrule \end{minipage}\end{center}}

\begin{document}

\typeout{Copyright H.Partl, E.Schlegl, I.Hyna (1987)}

\typeout{Translation Copyright J.Busa (1991)}

\maketitle

\vspace{2cm}

\LaTeX~\cite{manual,wonne}
je systm pre sadzbu textu, ktor sa obzvl hod pre
zhotovenie vedeckej dokumentcie,
obsahujcej matematick vzorce, v~tlaovej kvalite.
Me vak by pouit aj v~prpade mnohch inch druhov
psomnch dokladov od jednoduchch listov a po cel knihy.
\LaTeX\ je nadstavba \TeX u~\cite{texbook,schwarz} .

Predloen krtky popis je zaloen na
\LaTeX u~- verzii 2.09 a mal by postaova pre vinu
aplikci \LaTeX u.
pln popis \LaTeX u~obsahuje \manual.

\LaTeX\ je intalovan na mnohch rozmanitch veko- aj mikropotaoch.
 V~prslunom \local\ je popsan prstup
k~\LaTeX u~v konkrtnych intalcich a je uveden
ktor jeho komponenty s tam k~dispozcii.

\newpage
{\sl \noindent
Tento popis {\rm \cite{lkurz}} bol vyhotoven pomocou \LaTeX u~s~pouitm
tlu Document Style pre lnky v~nemeckom jazyku
s~pouitm prkazov \LaTeX u~pre titul, obsah, obrzky, tabuky, zadanie
literatry a pod. Preto sli sasne ako prklad pravy textu,
podporovanej tandardnmi prostriedkami \LaTeX u.
Vstupn sbory \LaTeX u~s k~dispozcii na serveri
\mbox{\tt listserv@dhdurz1.bitnet} (Heidelberg).
}

\vspace{3cm}

{\bf Od prekladatea: }

{\sl \noindent
Prruka, ktor prve zanate ta, je mojim prvm prekladom z~nemeckho
jazyka a zrove mojim prvm spisom, vytvorenm pomocou \LaTeX u, ktor sa
mi podarilo intalova zhruba pred 2 tdami. Ospravedlte, prosm,
prpadn chyby v~preklade alebo v~prave textu.
Prklady, v~ktorch nie je dleit znalos neminy, som ponechal bez
prekladu. Odlinosti s. verzie \TeX u~od nemeckej som sa snail
zachyti v~poznmkach pod iarou, na zklade mojich znalost
\TeX u. Zrove som v~texte ponechal vinu anglickch oznaen
(ako napr. Document Style), ktor mu by uiton pri aom tdiu
\TeX u~na zklade anglickch i nemeckch prruiek. Pre s. itatea,
zanajceho \TeX perta, je mon doporui publikcie {\it Jemn
vod do \TeX u}{\rm ~\cite{jemny}} a {\it vod do systmu \LaTeX }{\rm
~\cite{uvod}}.
akujem Doc.RNDr.tefanovi Porubskmu,~DRSc. , ktor si naiel as na
pretanie tohto popisu a pomohol mi odstrni mnoh chyby.}

\bigskip

\noindent{Koice 7. novembra 1991}

\vfill
\begin{center}
{\small
Handbuch-Nummer am EDV-Zentrum der TU~Wien, Abt.~Digitalrechenanlage:}\\
H30
\end{center}
\pagebreak


\newpage

{\setlength{\parskip}{0pt plus 2pt}

\tableofcontents

\vspace{0pt plus 2cm}

\listoffigures

\vspace{0pt plus 2cm}

\listoftables

}
\newpage

\input{lk1.cs}
\clearpage

\input{lk2.cs}
\clearpage

\input{lk3.cs} \input{lksym.cs}
\clearpage

\input{lk4.cs}

\clearpage

\begin{thebibliography}{99}

\bibitem{manual}
L.~Lamport: {\it \LaTeX, A Document Preparation System,
User's Guide and Reference Manual},
Addison-Wesley Publishing Company
(1985), ISBN~0-201-15790-X.

\bibitem{wonne}
R.~Wonneberger: {\it Kompaktf\" uhrer \LaTeX,}
Addison-Wesley Deutschland (1987),
ISBN 3-925118-46-2.

\bibitem{local}
Pri kadej intalcii (vpotov stredisko a.i.) by mala
by k~dispozcii prruka {\it \LaTeX\ Local Guide\/},
v~ktorej s uveden vetky pecifick zadania intalcie --
napr. prkazy potrebn pre volanie programov a sbory,
Document Styles a Fonty, ktor s k~dispozcii.

\bibitem{texbook}
D.~E.~Knuth: {\it The \TeX{}book,}
Band~A der Reihe {\it Computers and Typesetting},
Addison-Wesley Publishing Company
(1984), ISBN~0-201-13448-9.

\bibitem{schwarz}
N.~Schwarz: {\it Einf\" uhrung in \TeX,}
Addison-Wesley Deutschland (1987),
ISBN 3-925118-25-X.

\bibitem{gmd}
F.~Hommes, B.~Stumm, M.~Wershofen:
{\it Die \TeX-Installation in der GMD,
Heft~4, \TeX-Benutzeranleitung f\" ur MVS und BS2000,}
Arbeitspapiere der GMD Nr.~199,
GMD St.~Augustin (1986),
ISBN~0723-0508.

\bibitem{ciba}
T.~Hofmann:
{\it \LaTeX\ Erweiterungen und Modifikationen\/},
CIBA-GEIGY AG Basel (1987).

\bibitem{ghyph}
{\tt ghyphen.tex} -- optimierte deutsche Trenntabelle
von N.~Schwarz, Rechenzentrum der Ruhr-Universit\" at Bochum (1986),
k~dispozcii na ser\-veri \mbox{\tt listserv@dhdurz1.bitnet} (Heidelberg).

\bibitem{germ}
{\tt german.sty} --
Document Style Option File
von H.~Partl u.a., EDV-Zentrum der Technischen Universit\" at Wien (1987),
k~dispozcii na ser\-veri \mbox{\tt listserv@dhdurz1.bitnet} (Heidelberg).

\bibitem{muenster}
H.~Partl: {\it Ein \uv{Minimal Subset} f\" ur einheitliche deutsche
\TeX-Befehle,}
Vortrag und Diskussion beim
6.~Treffen der deutschen \TeX-Interessenten in M\" unster (1987,
nicht ver\" offentlicht).

\bibitem{germtug}
H.~Partl: {\it German \TeX,}
TUGboat Vol.~9, No.~1 (1988)

\bibitem{lay}
H.~Partl: {\it Layout-\" Anderungen mit \LaTeX,}
EDV-Zentrum der Techni\-schen Universit\" at Wien (1988).
Vstupn sbory \LaTeX u~s k~dispozcii na
serveri \mbox{\tt listserv@dhdurz1.bitnet} (Heidelberg).

\bibitem{lkurz}
H.~Partl, E.~Schlegl, I.~Hyna: \LaTeX -{\it Kurzbeschreibung},
Handbuch-Nummer am EDV-Zentrum der TU~Wien, Abt.~Digitalrechenanlage:
H30 (1990).

\bibitem{jemny}
M.~Doob: {\it Jemn vod do \TeX u,} (preklad: J.~Dane, J.~Vesel)
Karolinum Praha (1990), 82 s.

\bibitem{uvod}
K.~Pala: {\it vod do systmu \LaTeX ,} edin stredisko VUT (1990),
66 s.


\end{thebibliography}

\end{document}
